# Charsets

You can register for a DAS account in multiple languages or even emoji. The supported language character sets are as follows.

1. [English](https://github.com/DeAccountSystems/cell-data-generator/blob/master/data/char_set_en.txt)
2. [Emojis](https://github.com/DeAccountSystems/cell-data-generator/blob/master/data/char_set_emoji.txt)
3. [Arabic numerals](https://github.com/DeAccountSystems/cell-data-generator/blob/master/data/char_set_digit.txt)

The number of language character sets supported by DAS will be increased continuously.

## Fraud prevention

Also, to avoid name fraud, DAS prohibits the use of certain character sets in combination with each other. For example, the Russian character set cannot be used in combination with the English character set. For the DAS system, `satоshi.bit` is not a legitimate account because the letters `о` in it are Russian characters and the other characters are English characters. But `satоshi.bit` is a legitimate account because all characters in it are English characters. This effectively avoids frauds that are difficult to recognize by ordinary users.

Character set combination rules.

|                 | English | Arabic numerals | Emojis |
| --------------- | :-----: | :-------------: | :----: |
| English         |    ✅    |        ✅        |    ✅   |
| Arabic numerals |    ✅    |        ✅        |    ✅   |
| Emojis          |    ✅    |        ✅        |    ✅   |

✅ Indicates that the characters in these two character sets are combinable and can appear in the same DAS account name.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.da.systems/docs/register-das/charsets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
